class ImportsInterface:
    """
    Interface for handling import profiles and automated imports.
    """

    class InvalidInterface(Exception):
        pass

    class ImportException(Exception):
        pass

    def get_all_available_import_profiles(self):
        raise ImportsInterface.InvalidInterface()

    def get_all_available_automated_imports(self):
        raise ImportsInterface.InvalidInterface()

    def insert_import_profile(self):
        raise ImportsInterface.InvalidInterface()

    def get_import_profiles_names(self):
        raise ImportsInterface.InvalidInterface()

    def get_import_profiles_ids(self):
        raise ImportsInterface.InvalidInterface()

    def update_import_profile(self):
        raise ImportsInterface.InvalidInterface()

    def get_import_profile(self):
        raise ImportsInterface.InvalidInterface()

    def insert_automated_import(self):
        raise ImportsInterface.InvalidInterface()

    def get_automated_imports_names(self):
        raise ImportsInterface.InvalidInterface()

    def get_automated_imports_ids(self):
        raise ImportsInterface.InvalidInterface()

    def update_automated_import(self):
        raise ImportsInterface.InvalidInterface()

    def get_automated_import(self):
        raise ImportsInterface.InvalidInterface()

    def delete_import_profile(self):
        raise ImportsInterface.InvalidInterface()

    def delete_automated_import(self):
        raise ImportsInterface.InvalidInterface()
